commit 763e1ba948387ce2d925b73730012bc8d72266e7
Author: freddy77 <freddy77>
Date:   Thu Jan 28 08:54:35 2010 +0000

    reuse string constants

diff --git a/ChangeLog b/ChangeLog
index e5e5c44..ff372fc 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Thu Jan 28 09:53:35 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/connectparams.c: reuse string constants
+
 Thu Jan 28 00:31:25 EST 2010	JK Lowden <jklowden@freetds.org>
 	* src/dblib/dblib.c more checks for NULL DBPROCESS/LOGINREC
 
@@ -2242,4 +2245,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2969 2010/01/28 05:35:54 jklowden Exp $
+$Id: ChangeLog,v 1.2970 2010/01/28 08:54:35 freddy77 Exp $
diff --git a/src/odbc/connectparams.c b/src/odbc/connectparams.c
index 953eaa8..62d9119 100644
--- a/src/odbc/connectparams.c
+++ b/src/odbc/connectparams.c
@@ -37,7 +37,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: connectparams.c,v 1.83 2010/01/27 12:16:09 freddy77 Exp $");
+TDS_RCSID(var, "$Id: connectparams.c,v 1.84 2010/01/28 08:54:35 freddy77 Exp $");
 
 static const char odbc_param_Servername[] = "Servername";
 static const char odbc_param_Address[] = "Address";
@@ -287,7 +287,7 @@ odbc_parse_connect_string(TDS_ERRS *errs, const char *connect_string, const char
 			return 0;
 		}
 
-		if (strcasecmp(option, "SERVER") == 0) {
+		if (strcasecmp(option, odbc_param_Server) == 0) {
 			/* error if servername or DSN specified */
 			if ((cfgs & (CFG_DSN|CFG_SERVERNAME)) != 0) {
 				tds_dstr_free(&value);
@@ -303,7 +303,7 @@ odbc_parse_connect_string(TDS_ERRS *errs, const char *connect_string, const char
 				}
 				cfgs = CFG_SERVER;
 			}
-		} else if (strcasecmp(option, "SERVERNAME") == 0) {
+		} else if (strcasecmp(option, odbc_param_Servername) == 0) {
 			if ((cfgs & (CFG_DSN|CFG_SERVER)) != 0) {
 				tds_dstr_free(&value);
 				odbc_errs_add(errs, "HY000", "Only one between SERVER, SERVERNAME and DSN can be specified");
@@ -331,7 +331,7 @@ odbc_parse_connect_string(TDS_ERRS *errs, const char *connect_string, const char
 				p = connect_string;
 				continue;
 			}
-		} else if (strcasecmp(option, "DATABASE") == 0) {
+		} else if (strcasecmp(option, odbc_param_Database) == 0) {
 			dest_s = &connection->database;
 		} else if (strcasecmp(option, "UID") == 0) {
 			dest_s = &connection->user_name;
@@ -341,7 +341,7 @@ odbc_parse_connect_string(TDS_ERRS *errs, const char *connect_string, const char
 			dest_s = &connection->app_name;
 		} else if (strcasecmp(option, "WSID") == 0) {
 			dest_s = &connection->client_host_name;
-		} else if (strcasecmp(option, "LANGUAGE") == 0) {
+		} else if (strcasecmp(option, odbc_param_Language) == 0) {
 			tds_parse_conf_section(TDS_STR_LANGUAGE, tds_dstr_cstr(&value), connection);
 		} else if (strcasecmp(option, odbc_param_Port) == 0) {
 			tds_parse_conf_section(TDS_STR_PORT, tds_dstr_cstr(&value), connection);

